# GstWebRTCICEStream

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstWebRTCICEStream

### Members

`parent` (GstObject) –
No description available
`stream_id` (guint) –
No description available

Since : 1.22

### Class structure

#### GstWebRTCICEStreamClass

##### Fields

`parent_class` (GstObjectClass) –
No description available

### GstWebRTC.WebRTCICEStreamClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available

### GstWebRTC.WebRTCICEStreamClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available

## GstWebRTC.WebRTCICEStream

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstWebRTC.WebRTCICEStream

### Members

`parent` (Gst.Object) –
No description available
`stream_id` (Number) –
No description available

Since : 1.22

## GstWebRTC.WebRTCICEStream

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstWebRTC.WebRTCICEStream

### Members

`parent` (Gst.Object) –
No description available
`stream_id` (int) –
No description available

Since : 1.22

### Methods

#### gst_webrtc_ice_stream_find_transport

    GstWebRTCICETransport *
    gst_webrtc_ice_stream_find_transport (GstWebRTCICEStream * stream,
                                          GstWebRTCICEComponent component)

Parameters:

`stream` –

the GstWebRTCICEStream

`component` –

The GstWebRTCICEComponent

Returns ( [transfer: full][nullable]) –

the GstWebRTCICETransport, or NULL

Since : 1.22

#### GstWebRTC.WebRTCICEStream.prototype.find_transport

    function GstWebRTC.WebRTCICEStream.prototype.find_transport(component: GstWebRTC.WebRTCICEComponent): {
        // javascript wrapper for 'gst_webrtc_ice_stream_find_transport'
    }

Parameters:

`stream` (GstWebRTC.WebRTCICEStream) –

the GstWebRTC.WebRTCICEStream

`component` (GstWebRTC.WebRTCICEComponent) –

The GstWebRTC.WebRTCICEComponent

Returns (GstWebRTC.WebRTCICETransport) –

the GstWebRTC.WebRTCICETransport, or null

Since : 1.22

#### GstWebRTC.WebRTCICEStream.find_transport

    def GstWebRTC.WebRTCICEStream.find_transport (self, component):
        #python wrapper for 'gst_webrtc_ice_stream_find_transport'

Parameters:

`stream` (GstWebRTC.WebRTCICEStream) –

the GstWebRTC.WebRTCICEStream

`component` (GstWebRTC.WebRTCICEComponent) –

The GstWebRTC.WebRTCICEComponent

Returns (GstWebRTC.WebRTCICETransport) –

the GstWebRTC.WebRTCICETransport, or None

Since : 1.22

#### gst_webrtc_ice_stream_gather_candidates

    gboolean
    gst_webrtc_ice_stream_gather_candidates (GstWebRTCICEStream * ice)

Parameters:

`ice` –

the GstWebRTCICEStream Returns: FALSE on error, TRUE otherwise Since: 1.22

Returns –
No description available

#### GstWebRTC.WebRTCICEStream.prototype.gather_candidates

    function GstWebRTC.WebRTCICEStream.prototype.gather_candidates(): {
        // javascript wrapper for 'gst_webrtc_ice_stream_gather_candidates'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICEStream) –

the GstWebRTC.WebRTCICEStream Returns: FALSE on error, TRUE otherwise Since: 1.22

Returns (Number) –
No description available

#### GstWebRTC.WebRTCICEStream.gather_candidates

    def GstWebRTC.WebRTCICEStream.gather_candidates (self):
        #python wrapper for 'gst_webrtc_ice_stream_gather_candidates'

Parameters:

`ice` (GstWebRTC.WebRTCICEStream) –

the GstWebRTC.WebRTCICEStream Returns: FALSE on error, TRUE otherwise Since: 1.22

Returns (bool) –
No description available

### Properties

#### stream-id

    “stream-id” guint

Flags : Read / Write / Construct Only

#### stream-id

    “stream-id” Number

Flags : Read / Write / Construct Only

#### stream_id

    “self.props.stream_id” int

Flags : Read / Write / Construct Only

### Virtual Methods

#### find_transport

    GstWebRTCICETransport *
    find_transport (GstWebRTCICEStream * stream,
                    GstWebRTCICEComponent component)

Parameters:

`stream` –
No description available
`component` –
No description available
Returns –
No description available

#### vfunc_find_transport

    function vfunc_find_transport(stream: GstWebRTC.WebRTCICEStream, component: GstWebRTC.WebRTCICEComponent): {
        // javascript implementation of the 'find_transport' virtual method
    }

Parameters:

`stream` (GstWebRTC.WebRTCICEStream) –
No description available
`component` (GstWebRTC.WebRTCICEComponent) –
No description available
Returns (GstWebRTC.WebRTCICETransport) –
No description available

#### do_find_transport

    def do_find_transport (stream, component):
        #python implementation of the 'find_transport' virtual method

Parameters:

`stream` (GstWebRTC.WebRTCICEStream) –
No description available
`component` (GstWebRTC.WebRTCICEComponent) –
No description available
Returns (GstWebRTC.WebRTCICETransport) –
No description available

#### gather_candidates

    gboolean
    gather_candidates (GstWebRTCICEStream * ice)

Parameters:

`ice` –
No description available
Returns –
No description available

#### vfunc_gather_candidates

    function vfunc_gather_candidates(ice: GstWebRTC.WebRTCICEStream): {
        // javascript implementation of the 'gather_candidates' virtual method
    }

Parameters:

`ice` (GstWebRTC.WebRTCICEStream) –
No description available
Returns (Number) –
No description available

#### do_gather_candidates

    def do_gather_candidates (ice):
        #python implementation of the 'gather_candidates' virtual method

Parameters:

`ice` (GstWebRTC.WebRTCICEStream) –
No description available
Returns (bool) –
No description available

The results of the search are